Sync a Git repo to this Diversion repo
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/syncimport requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/sync"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Manipulation
Sync Git repository
Sync all history from Git. The repo must already be associated with a Git repo (see import).
POST
/
repos
/
{repo_id}
/
sync
Sync a Git repo to this Diversion repo
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Response
Sync started asynchronously.
⌘I

